IncidentsAdd a party

Add a party

Needs: Incidents, Read-write

Adds a witness or an involved party on the Parties tab. Staff and clients are added by id. Family and other people need a name and phone. Site incidents only take the site's staff and participants.

Note: The as value in the response is the stored party type. For involved staff, clients and family, the type is set from the role.

curl -X POST "https://app.imploy.com.au/api/integrations/v1/incidents/123/parties" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "as": "witness",
  "role": "staff",
  "staff_id": 31,
  "type": "Primary Witness"
}'
{
  "created": 8,
  "incident_id": 12,
  "kind": "incident",
  "as": "witness"
}
POST
/incidents/{incident_id}/parties
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Content-Typestring
Required

The media type of the request body

Options: application/json
asstring
Required

witness or involved_party.

rolestring
Required

staff, client, family or other.

staff_idinteger

For role staff.

client_idinteger

For role client.

namestring

For roles family and other.

phonestring

For roles family and other.

emailstring

Optional email.

typestring

For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.

statusstring

Contacted, Pending or Not Contacted.

notesstring

Notes about the person.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

Body

application/json
asstring
Required

witness or involved_party.

rolestring
Required

staff, client, family or other.

staff_idinteger

For role staff.

client_idinteger

For role client.

namestring

For roles family and other.

phonestring

For roles family and other.

emailstring

Optional email.

typestring

For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.

statusstring

Contacted, Pending or Not Contacted.

notesstring

Notes about the person.

Responses